Up

# NSMutableString+GNUstepBase documentation

### Authors

Richard Frith-Macdonald (`rfm@gnu.org`)

Date: Generated at 2025-02-13 06:02:40 +0000

Copyright: (C) 2003-2010 Free Software Foundation, Inc.

# Software documentation for the NSMutableString(GNUstepBase) category

## NSMutableString(GNUstepBase)

> Declared in:
>   GNUstepBase/NSMutableString+GNUstepBase.h

Availability: Not in OpenStep/MacOS-X
Description forthcoming.
Method summary

- -deletePrefix:
- -deleteSuffix:
- -immutableProxy
- -replaceString:withString:
- -trimLeadSpaces
- -trimSpaces
- -trimTailSpaces

### deletePrefix:

- (void) deletePrefix: (NSString*)prefix;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### deleteSuffix:

- (void) deleteSuffix: (NSString*)suffix;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### immutableProxy

- (NSString*) immutableProxy;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### replaceString: withString:

- (void) replaceString: (NSString*)replace withString: (NSString*)by;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### trimLeadSpaces

- (void) trimLeadSpaces;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### trimSpaces

- (void) trimSpaces;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### trimTailSpaces

- (void) trimTailSpaces;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

Up